@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(10px);
        /* 加上轻微上移，更有层次感 */
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

body {
    display: block;
    min-height: 100vh;
    display: block;
    min-height: 100vh;
    opacity: 0;
    animation: fadeIn 1.5s ease-in-out forwards;

    font-family: sans-serif;
}

/* 菜单容器（导航栏） in menu.css */
/* @import url('/style/menu.css'); */

/* 首屏：占满一屏高度，内部 flex 居中 */
.hero {
    min-height: 85vh;
    /* width: 88vw; */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    background: #f0f2f5;
    padding: 20px;
}

.head {
    width: 35%;
    height: 35%;
}

h2 > a {
    color: blue;
    text-decoration: none;
}

.content {
    font-family: 'Monaspace Radon', sans-serif;
}

/* 新增的普通区块，可以设置 padding 和背景 */
.about, .projects, .contact {
    padding: 60px 20px;
    max-width: 900px;
    /* margin: 0 auto; */
    border-bottom: 1px solid #eee; /* 分割线 */

    width: 80vw;
    margin-left: 10vw;
    text-align: left;
}

/* 项目卡片 in project.css */

/* 底部样式 in footer.css */

/* 字体 */
.radon {
    font-family: 'Monaspace Radon', sans-serif;
}